# Method: projects.locations.vodSessions.vodStitchDetails.list

- [HTTP request](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.request_body)
- [Response body](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.ListVodStitchDetailsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails/list#body.aspect_1)

Returns a list of detailed stitching information of the specified VOD session.

### HTTP request

`GET https://videostitcher.googleapis.com/v1/{parent=projects/*/locations/*/vodSessions/*}/vodStitchDetails`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The VOD session where the stitch details belong to, in the form of `projects/{project}/locations/{location}/vodSessions/{id}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

Response message for VideoStitcherService.listVodStitchDetails.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "vodStitchDetails": [ { object (`https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails#VodStitchDetail`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `vodStitchDetails[]` | ``object (`https://docs.cloud.google.com/video-stitcher/docs/reference/rest/v1/projects.locations.vodSessions.vodStitchDetails#VodStitchDetail`)`` A List of stitch Details. |
| `nextPageToken` | `string` The pagination token. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `videostitcher.vodStitchDetails.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).